summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Hans Strijards2011-09-01 13:25:19 +0200
committer Niels Horn2011-09-01 13:25:19 +0200
commit4847006d6c658b51e638b0aac492cbef6d5b06f1 (patch)
treee9c3bf0d6fdb85b51326fc8ca203b0480df28a76 /multimedia
parente1c46730e120b9881fe8025badf8d4826f385a43 (diff)
downloadslackbuilds-4847006d6c658b51e638b0aac492cbef6d5b06f1.tar.gz
multimedia/parole: Added (GStreamer based media player)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/parole/README9
-rw-r--r--multimedia/parole/doinst.sh13
-rw-r--r--multimedia/parole/parole.SlackBuild107
-rw-r--r--multimedia/parole/parole.info10
-rw-r--r--multimedia/parole/slack-desc19
5 files changed, 158 insertions, 0 deletions
diff --git a/multimedia/parole/README b/multimedia/parole/README
new file mode 100644
index 0000000000..38a864e9a0
--- /dev/null
+++ b/multimedia/parole/README
@@ -0,0 +1,9 @@
+Parole is a modern, simple media player based on the GStreamer framework
+and written to fit well in the Xfce desktop. Parole features playback of
+local media files, DVD/CD and live streams. Parole is extensible via
+plugins.
+
+The GStreamer framework provides a strong plugin interface to dynamically
+load plugins that support certain media types, the more GStreamer plugins
+you have installed in your system the more media formats you can play with
+Parole.
diff --git a/multimedia/parole/doinst.sh b/multimedia/parole/doinst.sh
new file mode 100644
index 0000000000..236940bb0a
--- /dev/null
+++ b/multimedia/parole/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/parole/parole.SlackBuild b/multimedia/parole/parole.SlackBuild
new file mode 100644
index 0000000000..bc9b57d520
--- /dev/null
+++ b/multimedia/parole/parole.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for parole
+
+# Copyright 2007 Hans Strijards <hannesworst@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=parole
+VERSION=${VERSION:-0.2.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-debug=full \
+ --disable-static \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+
+make V=1
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#find $PKG/usr/man -type f -exec gzip -9 {} \;
+#for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL README NEWS THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/parole/parole.info b/multimedia/parole/parole.info
new file mode 100644
index 0000000000..caa3010094
--- /dev/null
+++ b/multimedia/parole/parole.info
@@ -0,0 +1,10 @@
+PRGNAM="parole"
+VERSION="0.2.0.6"
+HOMEPAGE="http://goodies.xfce.org/projects/applications/parole"
+DOWNLOAD="http://archive.xfce.org/src/apps/parole/0.2/parole-0.2.0.6.tar.bz2"
+MD5SUM="5d7e5ab7535bdf89508a8d7e551f9187"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Hans Strijards"
+EMAIL="hannesworst@gmail.com"
+APPROVED="Niels Horn"
diff --git a/multimedia/parole/slack-desc b/multimedia/parole/slack-desc
new file mode 100644
index 0000000000..cfe7389dd7
--- /dev/null
+++ b/multimedia/parole/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler-------------------------------------------------------|
+parole: parole (GStreamer based media player)
+parole:
+parole: Parole is a modern, simple media player based on the GStreamer
+parole: framework and written to fit well in the Xfce desktop. Parole features
+parole: playback of local media files, DVD/CD and live streams. Parole is
+parole: extensible via plugins, for a complete how to write a plugin for
+parole: Parole see the Plugins API documentation+the plugins directory which
+parole: contains some usefull examples.
+parole:
+parole:
+parole: